RPC_PEERADDR2STR(9)

NAME
rpc_peeraddr2str - return remote peer address in printable format

SYNOPSIS

const char * rpc_peeraddr2str(struct rpc_clnt * clnt, enum rpc_display_format_t format);

ARGUMENTS

clnt
    RPC client structure

format
    address format

NB

the lifetime of the memory referenced by the returned pointer is the same as the rpc_xprt itself. As long as the caller uses this pointer, it must hold the RCU read lock.

COPYRIGHT